<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Category extends CI_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */
	public function __construct()
        {
                parent::__construct();
                $this->load->model('admin/Add_category_model');
                $this->load->model('admin/Add_product_model');
                $this->load->model('admin/Add_banner_model');
        }
	public function index()
	{
		$sl_data['banner'] = $this->Add_banner_model->get_all();
		$this->load->view('header', $sl_data);
		$this->load->view('cats');
		$this->load->view('footer');
	}



        public function categories($sl)
        {
        	$data['cat_product'] = $this->Add_product_model->catis($sl);
        	$sl_data['cats'] = $this->Add_product_model->singlecat($sl);
        	$sl_data['banner'] = $this->Add_banner_model->get_all();
		    $this->load->view('header', $sl_data);
			$this->load->view('cats', $data);
			$this->load->view('footer');
        	
        }

        
}
